import { ApplicationCommandOptionType } from 'discord.js'
import { Command } from '../structures/command'
import { RunOptions } from '../types/commandTypes'
import { logger } from '../logger'
export default new Command({
	name: 'echo',
	description: 'Echoes a text',
	options: [
		{
			name: 'echo',
			description: 'The text to echo',
			type: ApplicationCommandOptionType.String,
			required: true
		}
	],
	run: async (interaction: RunOptions) => {
		logger.info('echo called')
		interaction.interaction.reply(interaction.toString())
	}
})
